---
title: <mtable>
slug: Web/MathML/Element/mtable
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Tabular Math'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mtable&gt;</code> element allows you to create tables or matrices. Inside a <code>&lt;mtable&gt;</code> only {{ MathMLElement("mtr") }} and {{ MathMLElement("mtd") }} elements may appear. These elements are similar to {{ HTMLElement("table") }} , {{ HTMLElement("tr") }} and {{ HTMLElement("td") }} elements of <a href="/en-US/docs/HTML">HTML</a>.</p>

<div class="note">
<p><strong>Note: </strong>The <code>&lt;mtable&gt;</code> element resets the <code>displaystyle</code> attribute to <code>false</code>. If you want to use this element as an inline-block, you might want to set <code>&lt;mtable displaystyle="true"&gt;...&lt;/mtable&gt;</code>.</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-align">align</dt>
 <dd>Specifies the <strong>vertical</strong> alignment of the table with respect to its environment.<br>
 Possible values are:
 <ul>
  <li><code>axis</code> (default): The vertical center of the table aligns on the environment's axis (typically the minus sign).</li>
  <li><code>baseline</code>: The vertical center of the table aligns on the environment's baseline.</li>
  <li><code>bottom</code>: The bottom of the table aligns on the environments baseline.</li>
  <li><code>center</code>: See baseline.</li>
  <li><code>top</code>: The top of the table aligns on the environments baseline.</li>
 </ul>
 In addition, values of the <code>align</code> attribute can end with a <em>rownumber</em> (e.g. <code>align="center 3"</code>). This allows you to align the specified row of the table rather than the whole table. A negative Integer value counts rows from the bottom of the table. Starting with Gecko 8.0 {{ geckoRelease("8.0") }} the interpretation of <em>negative</em> values has been corrected ({{ bug(601436) }}). In Gecko 17.0 {{geckoRelease("17.0")}} the parsing has been updated to treat whitespace correctly.</dd>
 <dt id="attr-alignmentscope">alignmentscope</dt>
 <dd>{{ unimplemented_inline() }}</dd>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-columnalign">columnalign</dt>
 <dd>Specifies the horizontal alignment of the cells. Multiple values separated by space are allowed and apply to the corresponding columns (e.g. <code>columnalign="left right center"</code>). Possible values are: <code>left</code>, <code>center</code> (default) and <code>right</code>.</dd>
 <dt id="attr-columnlines">columnlines</dt>
 <dd>Specifies column borders. Multiple values separated by space are allowed and apply to the corresponding columns (e.g. <code>columnlines="none none solid"</code>). Possible values are: <code>none</code> (default), <code>solid</code> and <code>dashed</code>.</dd>
 <dt id="attr-columnspacing">columnspacing</dt>
 <dd>Specifies the space between table columns.</dd>
 <dt id="attr-columnwidth">{{ unimplemented_inline() }} columnwidth</dt>
 <dd>Specifies the width of table columns.</dd>
 <dt id="attr-displaystyle">displaystyle</dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>.</dd>
 <dt id="attr-equalcolumns">{{ unimplemented_inline() }} equalcolumns</dt>
 <dd>A Boolean value indicating whether to force all columns to have the same total height. <code>false</code> is default.</dd>
 <dt id="attr-equalrows">{{ unimplemented_inline() }} equalrows</dt>
 <dd>A Boolean value indicating whether to force all rows to have the same total height. <code>false</code> is default.</dd>
 <dt id="attr-frame">frame</dt>
 <dd>Specifies borders of the entire table. Possible values are: <code>none</code> (default), <code>solid</code> and <code>dashed</code>.</dd>
 <dt id="attr-framespacing">framespacing</dt>
 <dd>Specifies additional space added between the table and frame.</dd>
 <dt id="attr-groupalign">groupalign</dt>
 <dd>{{ unimplemented_inline() }}</dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-minlabelspacing">{{ unimplemented_inline() }} minlabelspacing</dt>
 <dd>A length value specifing the minimum space between a <a href="/en-US/docs/MathML/Element/mlabeledtr">label</a> and the adjacent cell in the row.</dd>
 <dt id="attr-rowalign">rowalign</dt>
 <dd>Specifies the vertical alignment of the cells. Multiple values separated by space are allowed and apply to the corresponding rows (e.g. <code>rowalign="top bottom axis"</code>). Possible values are: <code>axis</code>, <code>baseline</code> (default), <code>bottom</code>, <code>center</code> and <code>top</code>.</dd>
 <dt id="attr-rowlines">rowlines</dt>
 <dd>Specifies row borders. Multiple values separated by space are allowed and apply to the corresponding rows (e.g. <code>rowlines="none none solid"</code>). Possible values are: <code>none</code> (default), <code>solid</code> and <code>dashed</code>.</dd>
 <dt id="attr-rowspacing">{{ unimplemented_inline() }} rowspacing</dt>
 <dd>Specifies the space between table rows.</dd>
 <dt id="attr-side">{{ unimplemented_inline() }} side</dt>
 <dd>Specifies the position where {{ MathMLElement("mlabeledtr") }} label elements should be placed. Possible values are: <code>left</code>, <code>right</code> (default), <code>leftoverlap</code> and <code>rightoverlap</code>.</dd>
 <dt id="attr-width">width</dt>
 <dd>Specifies the width of the entire table. Accepts <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length values</a>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Alignment_with_row_number">Alignment with row number</h3>

<p>Rendering: <img alt="" src="/files/3295/mtable-1.png" style="margin-left: 10px; vertical-align: middle;"></p>

<pre class="brush: html notranslate">&lt;math&gt;

    &lt;mi&gt;X&lt;/mi&gt;
    &lt;mo&gt;=&lt;/mo&gt;
    &lt;mtable frame="solid" rowlines="solid" align="axis 3"&gt;
        &lt;mtr&gt;
             &lt;mtd&gt;&lt;mi&gt;A&lt;/mi&gt;&lt;/mtd&gt;
             &lt;mtd&gt;&lt;mi&gt;B&lt;/mi&gt;&lt;/mtd&gt;
        &lt;/mtr&gt;
        &lt;mtr&gt;
             &lt;mtd&gt;&lt;mi&gt;C&lt;/mi&gt;&lt;/mtd&gt;
             &lt;mtd&gt;&lt;mi&gt;D&lt;/mi&gt;&lt;/mtd&gt;
        &lt;/mtr&gt;
        &lt;mtr&gt;
             &lt;mtd&gt;&lt;mi&gt;E&lt;/mi&gt;&lt;/mtd&gt;
             &lt;mtd&gt;&lt;mi&gt;F&lt;/mi&gt;&lt;/mtd&gt;
        &lt;/mtr&gt;
    &lt;/mtable&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#table-or-matrix-mtable", "mtable")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mtable', 'mtable') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mtable', 'mtable') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mtable")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("mtd") }} (Table cell)</li>
 <li>{{ MathMLElement("mtr") }} (Table row)</li>
</ul>
